> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jsonsilo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Silo List

> API endpoint to list all user silos with pagination.



## OpenAPI

````yaml GET /api/v1/manage/silos
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.jsonsilo.com
  - url: https://sg-01-api.jsonsilo.com
  - url: https://usc-01-api.jsonsilo.com
security: []
paths:
  /api/v1/manage/silos:
    get:
      tags:
        - Manage
      summary: Get All Silos
      description: API endpoint to list all user silos with pagination.
      operationId: get_all_silos_api_v1_manage_silos_get
      parameters:
        - name: page
          in: query
          required: false
          description: The page number to retrieve
          schema:
            type: integer
            default: 1
            title: Page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  metadata:
                    type: object
                    properties:
                      total_items:
                        type: integer
                        title: Total Items
                        example: 1
                        description: The total number of silos
                      per_page:
                        type: integer
                        title: Per Page
                        example: 25
                        description: The number of silos per page
                      page_no:
                        type: integer
                        title: Page No
                        example: 1
                        description: The current page number
                  silos:
                    type: array
                    items:
                      type: object
                      properties:
                        file_name:
                          type: string
                          example: new db
                          description: >-
                            Silo name. The silo name will not affect development
                            or any sensitive aspects.
                        file_uuid:
                          type: string
                          format: uuid
                          description: >-
                            The Silo UUID, comprising 32 hexadecimal digits
                            separated by 4 hyphens, totaling 36 characters.
                        created_at:
                          type: string
                          format: date-time
                          example: '2024-12-07T12:52:28.094450+00:00'
                          description: The date and time the silo was created in `UTC`.
                        updated_at:
                          type: string
                          format: date-time
                          example: '2024-12-07T12:52:28.094450+00:00'
                          description: >-
                            The date and time the silo was last updated in
                            `UTC`.
                        is_public:
                          type: boolean
                          example: false
                          description: >-
                            Silo access mode. If `true`, the silo is public; if
                            `false`, the silo is private.
                        region_name:
                          type: string
                          example: api
                          description: The region where your data will be stored.
        '204':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NoContent'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - silo_api_key: []
components:
  schemas:
    NoContent:
      type: object
      title: NoContent
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    silo_api_key:
      type: apiKey
      description: The JSONSilo Manage API Key
      in: header
      name: X-MAN-API

````